Subject: Re: bug#46502: 28.0.50; [feature/native-comp] (d3a399dd) native-comp bootstrap failure

From: Pip Cet <[email-masked]>
Date: Sat, 20 Feb 2021 12:03:42 +0000

On Sat, Feb 20, 2021 at 11:48 AM Eli Zaretskii <[email-masked]> wrote:
> > Date: Sat, 20 Feb 2021 13:21:38 +0200
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked]
> >
> > > From: Pip Cet <[email-masked]>
> > > Date: Sat, 20 Feb 2021 09:15:48 +0000
> > > Cc: [email-masked], [email-masked], [email-masked]
> > >
> > > > Can you send the diffs as an attachment?
> > >
> > > I'm sending the complete diff, even though it's a bit large... The
> > > path differences are obviously okay, and I'm not going to complain
> > > about differences in gensym numbering, but byte-optimize-lapcode, to
> > > pick an example at random, differs in the bytecode.
> >
> > Thanks.  Stefan, any idea why we see differences here?
>
> Btw, if you let macroexp.el byte-compile uninterrupted, then rename
> the .elc file and re-compile the .el file, do you get identical .elc
> files?

So what I did is this:

1. make
2. wait for bootstrap.pdmp to be built
3. wait for macroexp.elc and the other files in compile-first to be generated
4. interrupt
5. rename byte-opt.elc to byte-opt.elc.1
6. make
7. wait for byte-opt.elc to be rebuilt
8. diff

I saw differences as before.

Did you want me to rename "macroexp.elc" in step 5?